Get a single WhatsAppMessage activity
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Comma-separated list of fields to include in the response.
Response
Type of the activity, e.g. Call, Email or Note.
When the activity happened, e.g. when an Email or SMS was sent. Defaults to date_created.
ID of the Contact the activity is with, or null if it isn’t with a particular Contact.
ID of the user who created the activity, or null if it wasn’t created by a user.
Direction of communication. Outgoing means the communication flowing from the user to the lead/contact. Inbound means the opposite.
ID of the activity, e.g. acti_abc123.
ID of the Lead the activity is on. Can be null for Calls and SMS with phone numbers that don’t match any Contact.
How the object was created, e.g. ui in the Close app, api through the API, import by a bulk import, or by an integration.
ID of the user who last updated the activity, or null if it wasn’t updated by a user.
ID of the user the activity belongs to, e.g. who made the Call or sent the Email. Can be null, e.g. for an incoming SMS to a group number.
Name of the user in created_by.
ID of the Workflow that created the activity, or null.
Name of the Workflow in sequence_id.
ID of the Workflow subscription, i.e. the Contact’s enrollment in the Workflow, that created the activity, or null.
Name of the user in updated_by.
Name of the user in user_id.